@import url('https://fonts.googleapis.com/css2?family=Archivo+Black&family=Germania+One&family=Noto+Sans+Arabic:wght@100..900&family=Oswald:wght@200&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Shadows+Into+Light&family=WDXL+Lubrifont+SC&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
    scroll-behavior: smooth;
    font-family: 'Poppins', sans-serif;
    text-decoration: none;
}

body{
    background: var(--bg-color);
    color: var(--text-color);
}

.transition1{
    animation: appear linear;
    animation-timeline: view();
    animation-range: entry 0% cover 30%;
}
@keyframes appear{
    from{opacity: 0; scale: 0.5;}
    to{opacity: 1; scale: 1;}
}
p{
    z-index: 27;
}

:root{
    --bg-color: #1f242d;
    --second-bg-color: #323946;
    --uphead-bg-color: #009b2c;
    --main-btn-bg: #34926e;
    --main-btn-hover-bg: #50e07b;
    --text-color: #fff;
    --main-color: rgb(125, 255, 108);
    --chat-right: #144d37;
    --chat-left: #242626;
}

section{
    justify-content: center;
    align-items: center;
    display: flex;
    padding: 4rem 10rem 4rem 10rem;
}

.logo{
    width: 20vh;
    height: 8vh;
    object-fit: cover;
}

/* ---------------------------------------------------------------------------------------------------------------------- */
.header{
    justify-content: space-between;
    align-items: center;
    display: flex;
    top: 0;
    left: 0;
    padding: 1rem 5%;
    width: 100%;
    z-index: 50;
    position: fixed;
    background-color: var(--bg-color);
}

.sub-header{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 4vh;
}

.log-in{
    border-radius: 20px;
    align-content: center;
    padding: 1vh 2vh;
    color: #fff;
    font-weight: 700;
    border: 2px solid var(--bg-color);
    transition: transform 500ms ease;
}
.log-in:hover{
    transform: translateY(-8%);
    border: 2px solid #58b973;
    color: #58b973;
}
.sign-in{
    background-color: #129b39;
    border-radius: 20px;
    padding: 1vh 2vh;
    align-content: center;
    transition: transform 500ms ease;
}
.sign-in:hover{
    transform: translateY(-8%);
    background-color: #58b973;
    box-shadow: 0 5px 15px #fff;
}

.sign-in span{
    padding-right: 2vh;
    color: #fff;
    font-weight: 700;
}
.navbar a{
    margin-left: 1.2rem;
    color: var(--main-color);
    font-size: 2.5vh;
    font-weight: 600;
    transition: .3s;
}

.navbar a:hover{
    color: var(--text-color);
}
.logo-container{
    background-color: #fff;
    border-radius: 20px;
}------------------------------------------------------------------------------------------------------------------ */

.module .trigger{
    position: relative;
    box-shadow: 0px 8px 16px rgba(255, 255, 255, 0.701);
    border-radius: 22px;
}

.module .trigger span{
    letter-spacing: 0px;
    font-size: 16px;
    position: relative;
    background: var(--uphead-bg-color);
    color: white;
    display: block;
    min-width: 0;
    height: 44px;
    padding: 0 14px;
    z-index: 0;
    cursor: pointer;
    border-radius: 22px;
    transition: 350ms, border-radius 700ms, 700ms color 700ms, 350ms min-width 700ms;
    display: flex;
    justify-content: center;
    align-items: center;
    justify-content: flex-start;
}

.module .trigger ul.locate{
    position: absolute;
    list-style: none;
    margin: 0;
    padding: 0;
    background-color: #009b2c;
    border-radius: 0 0 22px 22px;
    font-size: 14px;
    overflow: hidden;
    transform: scaleY(0);
    transform-origin: top;
    transition: 350ms opacity 0ms;
}

.module .trigger ul.locate a{
    opacity: 0;
    transition: 350ms opacity 0ms;
}

.module .trigger ul.locate li{
    top: 0;
    left: 0;
    width: 140px;
    height: 44px;
    padding: 0 20px;
    z-index: 35;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    justify-content: flex-start;
    border-left: 0px solid #fff;
    transition: 200ms border-left 0ms;
}

.module .trigger ul.locate li:before{
    content: "";
    width: 100%;
    height: 1px;
    background: linear-gradient(to right, #fff, #009b2c);
    position: absolute;
    top: 0;
    left: 0;
}

.module .trigger ul.locate li:last-of-type{
    border-radius: 0 0 22px 22px;
}

.module .trigger ul.locate li a{
    text-decoration: none;
    color: var(--text-color);
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    justify-content: flex-start;
}

.module .trigger ul.locate li:hover{
    border-left: 15px solid #083d17;
}

.module .trigger:hover span{
    min-width: 80px;
    border-radius: 22px 22px 0 0;
    transition: 350ms border-radius 0ms, 700ms color 700ms, 350ms min-width 0ms;
    color: var(--text-color);
}

.module .trigger:hover ul.locate{
    transform: scaleY(1);
    transition: 350ms transform 350ms;
}

.module .trigger:hover ul.locate a{
    opacity: 1;
    transition: 350ms opacity 700ms;
}

.translate{
    justify-content: center;
    display: flex;
    margin-right: 1.3rem;
    width: 10rem;
    border-radius: 10px;
}

.translate-font, .translate-font span{
    align-items: center;
    color: var(--text-color);
    font-size: 20px;
    line-height: 2.6vh;
    font-weight: 700;
    display: flex;
}

/* ------------------------------------------------------------------------------------------------------ */

.content-motto{
    width: 100%;
    display: flex;
    justify-content: space-between;
    background-color: rebeccapurple;
}

.description-container{
    width: 50%;
    display: flex;
    flex-direction: column;
}
.description-title{
    display: flex;
    flex-direction: column;
    padding-bottom: 2rem;
}
.normal-title{
    font-family: "Oswald", sans-serif;
    font-optical-sizing: auto;
    font-size: 16vh;
    font-weight: 200;
    font-style: normal;
    line-height: 8vh;
}
.mark-title{
    font-family: "Germania One", system-ui;
    font-weight: 400;
    font-size: 15vh;
    font-style: normal;
}
.space1{
    padding-left: 1rem;
}
.space2{
    padding-left: 6rem;
}
.space3{
    padding-left: 3rem;
}
.space4{
    padding-left: 10rem;
}
.description-text{
    padding: 0 1rem 0 0;
    font-size: 3vh;
    text-align: justify;
}

.phone-view{
    display: flex;
    justify-content: center;
    padding: 4rem;
}
.tampilan-chat1{
    width: 20rem;
    height: 30rem;
    border-radius: 40px;
    padding: 5vh;
    background-color: #1e2d3d;
    box-shadow: 0 2px 25px #fff;
}
.group-typing{
    display: flex;
    gap: 1vh;
    }
.item-typing:nth-child(1),
.item-typing:nth-child(2),
.item-typing:nth-child(3){
    width: 10px;
    height: 10px;
    background-color: var(--main-btn-hover-bg);
    animation: bounceCustom 1.2s ease infinite;
    border-radius: 50px;
}
.item-typing:nth-child(1){
    animation-delay: 0.3s;
    animation-duration: 2s; /* don't forget to set a duration! */
}
.item-typing:nth-child(2){
    animation-delay: 0.6s;
    animation-duration: 2s; /* don't forget to set a duration! */
}
.item-typing:nth-child(3){    
    animation-delay: 0.9s;
    animation-duration: 2s; /* don't forget to set a duration! */
}
@keyframes bounceCustom {
    0%, 20%, 50%, 80%, 100% {
        transform: translateY(0);
    }
    40% {
        transform: translateY(-10px); /* lebih rendah dari default */
    }
    60% {
        transform: translateY(-5px); /* pantulan kecil */
    }
}

.input-box-chat{
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 50vh;
    background-color: #1e2022;
    border: 1px solid #fff;
    padding: 1vh 2vh 1vh 2vh;
    border-radius: 15px;
}

.button-check-in{
    font-size: 3vh;
    font-weight: bold;
    padding: 2vh;
    border-radius: 15px;
    background-color: var(--main-btn-bg);
    border: 1px solid rgba(81, 81, 81, 0.6);
    transition: .4s;
    animation: transform .4s ease;
}
.button-check-in:hover{
    transform: translateY(-10%);
    background-color: var(--main-btn-hover-bg);
    
}
/* .window-motto{
    padding: 1rem;
}

.slider-wrapper{
    position: relative;
    max-width: 50rem;
}

.slider{
    display: flex;
    aspect-ratio: 16/9;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    scroll-behavior: smooth;
    border-radius: 0.5rem;
    scrollbar-width: none;
}

.slider img{
    flex: 1 0 100%;
    scroll-snap-align: start;
    object-fit: cover;
    animation: auto-play 40s infinite;
}

@keyframes auto-play{
    0%, 10%   { transform: translateX(0%); } 
    20%, 30%  { transform: translateX(-100%); }
    40%, 50%  { transform: translateX(-200%); }
    60%, 70%  { transform: translateX(-300%); }
    80%, 90%  { transform: translateX(-400%); }
    100%      { transform: translateX(0%); }
}

.slider-nav{
    display: flex;
    column-gap: 1rem;
    position: absolute;
    bottom: 1.25rem;
    left: 50%;
    transform: translateX(-50%);
    z-index: 2;
}

.slider-nav a{
    width: 0.5rem;
    height: 0.5rem;
    border-radius: 50%;
    background-color: #fff;
    border: 2px solid #1f242d;
    opacity: 0.75;
    transition: opacity ease 250ms;
}

.slider-nav a:hover{
    opacity: 1;
} */
/* ------------------------------------------------------------------------- */
/* @media screen and (max-width: 768px) {
    .box{
        height: 44px;
        display: flex;
        cursor: pointer;
        padding: 10px 20px;
        background: #fff;
        border-radius: 30px;
        align-items: center;
        box-shadow: 0 10px 25px rgba(255, 255, 255, 0.701);
        margin-right: 1rem;
    }
    .box:hover input{
        width: 200px;
    }
} */

.content-topic{
    background-color: #081d43;
    display: flex;
    flex-direction: column;
    opacity: 1;
}
.topic-title{
    display: flex;
    flex-direction: column;
    gap: 2vh;
    align-items: center;
}
.topic-text{
    font-size: 2vh;
    display: flex;
    gap: 3vh;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}
.topic:nth-child(1),
.topic:nth-child(2),
.topic:nth-child(3),
.topic:nth-child(4),
.topic:nth-child(5),
.topic:nth-child(6){
    background-color: #083d17;
    margin-top: 3vh;
    border-radius: 24px;
    max-width: 20rem;
    height: 20rem;
    padding: 3rem 4rem 0 4rem;
    position: relative;
    overflow: hidden;
}
.topic:nth-child(1){
    background-color: burlywood;
}
.topic:nth-child(2){
    background-color: #44dad3;
}

.topic:nth-child(3){
    background-color: rgb(107, 255, 151);
}
.topic:nth-child(4){
    background-color: #fd8fff;
}

.topic:nth-child(5){
    background-color: rgb(255, 150, 150);
}
.topic:nth-child(6){
    background-color: #c6cb38;
}

.topic-text-title{
    font-size: 3vh;
    display: flex;
    flex-direction: column;
}
.topic-main{
    justify-items: center;
    text-align: justify;
    z-index: 1;
}
.topic-logo{
    background-color: #fff;
    width: min-content;
    border-radius: 10px;
    font-size: 5vh;
}
.transparent-img{
    font-size: 12rem;
    bottom: -18vh;
    right: -10vh;
    position: absolute;
    opacity: 0.6;
    z-index: 2;
}

.feature-sign{
    margin-top: 2vh;
    width: fit-content;
    padding: 1vh;
    display: flex;
    align-items: center;
    background-color: #c4ffd4;
    border-radius: 30px;
    color: #047524;
    font-weight: 600;
    /* width: max-content; */
    animation: animate-sign 5s infinite forwards;
}
@keyframes animate-sign{
    0%{transform: translateY(-20%);}
    50%{transform: translateY(20%);}
    100%{transform: translateY(-20%);}
}

.feature-title{
    font-family: "Shadows Into Light", cursive;
    font-weight: 600;
    font-style: normal;
    font-size: 4.1rem;
}

/* ------------------------------------------------------------------------------ */
.content-moodchecker{
    width: 100%;
    background-color:    #297268;
    flex-direction: column;
}

.title-moodchecker{
    width: 100%;
    height: 30%;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.title-moodchecker span{
    font-family: "Shadows Into Light", cursive;
    font-weight: 600;
    font-style: normal;
    font-size: 4.1rem;
}
.title-moodchecker p{
    padding: 0 15rem 0 15rem;
    text-align: center;
    font-size: 2vh;
    margin-bottom: 2rem;
}

.style-moodchecker{
    width: 100%;
    height: 70%;
    /* background-color: #083d17; */
    flex-direction: row;
    gap: 3rem;
    display: flex;
    justify-content: center;
    align-self: center;
}

.moodchecker-explain{
    height: 100%;
    padding: 2vh;
    /* background-color: #081d43; */
}
.title-explain{
    gap: 2vh;
    padding: 2vh 2vh 2vh 0;
}

.question-container{
    width: 50%;
    height: 100%;
    background-color: #081d43;
}

.text-style-moodchecker{
    font-family: "Germania One", system-ui;
    font-weight: 400;
    font-size: 5vh;
    font-style: normal;
}
.expression-menu{
    display: flex;
    gap: 2vh;
}
.expression-button{
    width: 12vh;
    height: 12vh;
    background-color: #fff;
    border: 2px solid #878787;
    cursor: pointer;
    transition: .4s;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 12px;
    font-size: 3.6vh;
}
.expression-button:hover{
    scale: 115%;
    box-shadow: 0 0 5px 1px #ffffff;
}
.expression-button label{
    font-size: 1.8vh;
    color: #352010;
    font-weight: 600;
    text-align: center;
}

.check-in{
    padding: 1vh 2vh 2vh 2vh;
    width: 65%;
    height: 7rem;
    border: 2px solid #caffc2;
    background-color: #89ffaa;  
    margin-top: 2vh;
    border-radius: 12px;
    position: relative;
    justify-self: center;
}
.check-in span{
    display: inline-block;
    position: absolute;
    transform: rotateX(20deg) rotateY(-10deg) rotateZ(8deg);
    text-shadow: 
        1px 1px 0 #ffffff,
        2px 2px 0 #ffffff,
        3px 3px 0 #ffffff,
        4px 4px 0 #ffffff,
        5px 5px 0 #ffffff;
    
    animation: animate-check-in 7s infinite forwards;
    right: -1.4vh;
    top: -1vh;
    z-index: 2;
    font-size: 13vh;
}
@keyframes animate-check-in{
    0%{transform: translateY(-7%) rotateX(20deg) rotateY(-10deg) rotateZ(8deg);}
    50%{transform: translateY(7%) rotateX(20deg) rotateY(-10deg) rotateZ(8deg);}
    100%{transform: translateY(-7%) rotateX(20deg) rotateY(-10deg) rotateZ(8deg);}
}

.date-time-edit{
    color: #ffffff;
    z-index: 25;
    padding: 1vh;
    margin-bottom: 1vh;
}
.date-bg{
    background-color: #205000;
    border-radius: 4px;
    width: max-content;
}
.time-bg{
    background-color: #439a09;
    padding: 0 6px 0 6px;
    border-radius: 4px;
    width: 15vh;
    height: 6.5vh;
    display: flex;
    justify-content: center;
}

.note-container span{
    padding: 1vh;
    display: flex;
    justify-self: center;
    color: #352010;
    font-size: 2vh;
    font-weight: 600;
}
.note-container { 
    margin: 2vh 0 2vh 0;
    background: #fff; 
    border-radius: 25px;
    padding: 0 2vh 2vh 2vh;
    border: 2px solid #878787;
}
.note-container textarea { 
    width: 100%; 
    min-height: 88px; 
    padding: 12px; 
    border-style: none;
    border-radius: 25px 25px 0 25px; 
    font-family: 'Plus Jakarta Sans', sans-serif; font-size: .85rem;
    color: #352010; 
    resize: vertical; 
    outline: none; 
    background: #b2e9c2; 
    border-color: #352010;
    transition: border-color .25; 
}
/* ---------------------------------------------------------------------------------------- */

.content-komunitas{
    width: 100%;
    background-color: brown;
    display: flex;
    justify-content: space-between;
}
.batas-komunitas{
    width: 100%;
    height: 100%;
    /* background-color: #047524; */
    display: flex;
    overflow: hidden;
}
.margin-komentar-view{
    /* margin: 100% auto; */
    width: 50%;
    height: 34rem;
    display: flex;
    flex-direction: column;
    overflow-y: auto;
    scroll-behavior: smooth;
    gap: 2em;
}

.margin-komentar-view::-webkit-scrollbar{
    display: none;
}

.group{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    gap: 2em;
}

.window{
    border-radius: 24px;
    padding: 0 0 2vh 0;
    width: 10em;
    align-items: center;
    justify-content: center;
    background-color: rgb(255, 90, 90);
    box-shadow: 0 1px 4px #fff;
    font-size: 3rem;
    color: #1f242d;
    opacity: 0.7;
    transition: .3s ;
    cursor: pointer;
}
.window:hover{
    opacity: 1;
    scale: 105%;
}

@keyframes spin-content{
    from {transform: translateY(0);}
    to {transform: translateY(-100%);}
}

.hover-button{
    color: #fff;
    opacity: 0.5;
    transition: .3s;
    cursor: pointer;
}
.hover-button:hover{
    opacity: 1;
}

.header-comment{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1.8vh 3vh 1vh 3vh;
}
.username-box{
    display: flex;
    align-items: center;
    font-size: 2.5vh;
    font-weight: 500;
    gap: 1.5vh;
}
.username-box img{
    width: 40px;
    height: 40px;
    object-fit: cover;
    object-position: top;
    border-radius: 50px;
    border: 5px solid #fff; 
}
.history-time{
    font-size: 2vh;
    padding: 2vh;
}
.main-comment{
    font-size: 2vh;
    font-weight: 500;
    text-align: justify;
    padding: 2vh 4vh 2vh 4vh;
}
.footer-comment{
    font-size: 2.3vh;
    display: flex;
    justify-content: start;
    padding-left: 3vh;
    gap: 1.9vh;
}

.margin-review-komunitas{
    width: 50%;
}
.komunitas-title{
    display: flex;
    justify-content: center;
    font-family: "Shadows Into Light", cursive;
    font-weight: 600;
    font-style: normal;
    font-size: 4.1rem;
    line-height: 12vh;
    z-index: 19;
}
.text-komunitas{
    text-align: justify;
    font-size: 2vh;
    padding: 1.6rem 0 1rem 0;
}

.keunggulan{
    display: flex;
    flex-direction: column;
    gap: 3vh;
}
.list-unggul:nth-child(1),
.list-unggul:nth-child(2),
.list-unggul:nth-child(3),
.list-unggul:nth-child(4){
    width: 95%;
    padding: 1.4vh;
    border-radius: 30px;
    box-shadow: 0 1px 4px #fff;
    background-color: #1f242d;
    display: flex;
    gap: 2vh;
    transition: .4s;
}
.list-unggul:hover{
    scale: 105%;
}

/* ---------------------------------------------------------------------------- */
.content-konselor{
    background-color: #047524;
    padding: 4rem 10rem 4rem 10rem;
}
.konselor-container{
    width: 100%;
    justify-items: center;
    display: flex;
    /* padding: 4rem 12rem 4rem 12rem; */
    gap: 4rem;
}

.rating-konselor{
    width: 40%;
    height: 100%;
}
.rating-title span{
    font-family: "Shadows Into Light", cursive;
    font-weight: 600;
    font-style: normal;
    font-size: 4.1rem;
    line-height: 11vh;
}
.grade-view{
    display: flex;
    gap: 1vh;
    justify-content: center;
}
.grade{
    background-color: #fff;
    display: flex;
    flex-direction: column;
    max-width: 20vh;
    border-radius: 12px;
    border: 2px solid #878787;
    align-items: center;
    padding: 1vh;
}
.symbol{
    color: #144d37;
    font-family: "Germania One", system-ui;
    font-weight: 400;
    font-size: 8vh;
    font-style: normal;
}
.text-grade{
    text-align: center;
    color: #352010;
    font-weight: bold;
}

.grid-button-konselor{
    display: flex;
    justify-content: space-between;
    margin-top: 4vh;
}
.chat-button{
    background-color: #34926e;
    border: 1px solid rgba(81, 81, 81, 0.6);
    border-radius: 20px;
    color: #fff;
    font-size: 2.6vh;
    font-weight: 600;
    padding: 1vh 3vh 1vh 3vh;
    cursor: pointer;
    transition: .5s;
    animation: transform .5s ease;
}
.chat-button:hover{
    border: 2px solid #878787;
    box-shadow: 0 5px 15px #fff;
    transform: translateY(-15%);
    background-color: var(--main-btn-hover-bg);
}
.showall-konselor-button{
    display: flex;
    justify-content: center;
    align-items: center;
    transition: .3s;
    cursor: pointer;
    border-radius: 15px;
    padding: 1vh;
    transition: .5s;
    animation: transform .5s ease;
}
.showall-konselor-button:hover{
    border: 2px solid #878787;
    box-shadow: 0 5px 15px #fff;
    transform: translateY(-15%);
}

.tampilan-chat2{
    width: 55%;
    height: 100%;
    border-radius: 40px;
    padding: 5vh;
    background-color: #1e2d3d;
}
.kontak{
    display: flex;
    align-items: center;
    gap: 2vh;
    padding-bottom: 1.5vh;
    border-bottom: 1px solid #555555;
}
.kontak img{
    width: 45px;
    height: 45px;
    object-fit: cover;
    object-position: top;
    border-radius: 50px;
    border: 6px solid #30a451;
}
.nama{
    font-size: 2.2vh;
    font-weight: 600;
}
.status{
    color: #30a451;
    font-weight: bold;
}

.chat-left, .chat-right{
    max-width: 80%;
    min-width: 10%;
    height: auto;
    padding: 2vh;
    margin: 1.6vh 0 1.6vh 0;
    font-size: 1.8vh;
    gap: 1vh;
}
.chat-left{
    justify-self: flex-start;
    border-radius: 0 15px 15px 15px;
    background-color: var(--chat-left);
}
.chat-right{
    justify-self: flex-end;
    border-radius: 15px 0 15px 15px;
    background-color: var(--chat-right);
}
.konselor-container{
    padding-top: 3rem;
}
.group-konselor{
    width: 100%;
    display: flex;
    gap: 2vh;
}
.konselor:nth-child(1),
.konselor:nth-child(2),
.konselor:nth-child(3),
.konselor:nth-child(4){
    width: 25%;
    border-radius: 15px;
    color: #352010;
    background-color: #fff6de;
    display: flex;
    padding-top: 1vh;
    flex-direction: column;
    border: 2px solid #4d515a;
    padding: 3vh;
    align-items: center;
}
.profile-img{
    width: 10vh;
    height: 10vh;
    border-radius: 50px;
    border: 4px solid #fff;
    box-shadow: 0 0.5px 5px black;
    background-color: #94b9ff;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 1vh;
}
.profile-img img{
    object-fit: cover;
    object-position: top;
    border-radius: 25px;
    width: 55px;
    height: 55px;
}
.status-konselor{
    font-size: 2vh;
    font-weight: bold;
    padding: 1vh;
    border-radius: 10px;
    margin-bottom: 0.5vh;
}
.online{
    color: #009b2c;
    background-color: #b7f5dd;
}
.sibuk{
    color: #ffc60c;
    background-color: #ffea97;
}
.konselor-button{
    margin-top: 1.5vh;
    background-color: #fff;
    color: #047524;
    padding: 1vh 5vh 1vh 5vh;
    border-radius: 15px;
    cursor: pointer;
    transition: .3s;
    animation: transform .3s ease;
}
.konselor-button:hover{
    color: #fff; 
    background-color: #047524;
    transform: translateY(-10%);
}
/* --------------------------------------------------------------------- */

.tips{
    width: 100%;
    padding: 2rem 10rem 2rem 10rem;
    background-color: #081d43;
    display: flex;
    flex-direction: column;
}
.tips-title{
    display: flex;
    flex-direction: column;
    align-items: center;
}
.tips-title span{
    font-family: "Shadows Into Light", cursive;
    font-weight: 600;
    font-style: normal;
    font-size: 4.1rem;
}
.tips-title p{
    max-width: 40rem;
    text-align: center;
    font-size: 2vh;
    margin: 3vh 0 5vh 0;
}

.group-tips{
    display: flex;
    gap: 2vh;
}
.tips-child:nth-child(1),
.tips-child:nth-child(2),
.tips-child:nth-child(3),
.tips-child:nth-child(4){
    max-width: 16.8rem;
    background-color: rgba(81, 81, 81, 0.6);
    padding: 4vh;
    border-radius: 15px;
    box-shadow: 0 0 1px 1px #878787;
}
.number, .img-act, .act-title, .act-yapping{
    margin-bottom: 2vh;
}
.number{
    width: 30px;
    height: 30px;
    border-radius: 15px;
    background-color: rgba(81, 81, 81, 0.6);
    box-shadow: 0 0 1px 1px #878787;
    display: flex;
    justify-content: center;
    align-items: center;
}
.img-act{
    width: 22vh;
    height: 22vh;
    background-color: rgba(87, 87, 87, 1);
    border-radius: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.img-act img{
    object-position: top;
    object-fit: cover;
    width: 20vh;
    height: 20vh;
    border-radius: 12px;
}
.act-title{
    font-weight: bold;
    font-size: 2.5vh;
}
.act-yapping{
    font-size: 1.8vh;
    color: #ffffffa4;
}
/* ------------------------------------------------------------------------- */
.content-promohelp{
    display: flex;
    justify-content: space-between;
    background-color: #fff6de;
}
.promo{
    max-width: 25rem;
    max-height: 40rem;
    background-color: #246c39;
    border-radius: 25px;
    padding: 2rem;
    position: relative;
    overflow: hidden;
}
.promo-title{
    font-size: 7vh;
    font-family: "Shadows Into Light", cursive;
    font-weight: 800;
    font-style: normal;
    line-height: 8vh;
}   
.promo-yapping{
    font-size: 2vh;
    color: #ffffffa4;
}

.gabungan-cek{
    display: flex;
    flex-direction: column;
    margin-top: 4vh;
    gap: 3vh;
}
.cek-mood{
    margin-left: 0;
    background-color: #fff;
    max-width: 10rem;
    color: #043312;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1rem;
    font-size: 2.8vh;
    border-radius: 25px;
    transition: .4s;
    animation: transform .4s ease;
}
.cek-mood:hover{
    background-color: var(--main-btn-hover-bg);
    color: #fff;
    box-shadow: 0 2px 5px #fff;
    transform: translateY(-10%);
}
.cek-konselor{
    margin-right: 0;
    max-width: 10rem;
    max-height: 3rem;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1rem;
    font-size: 2.2vh;
    border-radius: 25px;
    z-index: 5;
    transition: .4s;
    animation: transform .4s ease;
}
.cek-konselor:hover{
    box-shadow: 0 2px 5px #fff;
    transform: translateY(-10%);
}

.help{
    max-width: 25rem;
    max-height: 40rem;
    background-color: #ffcaca;
    border-radius: 25px;
    padding: 2rem;
}
.help-title span{
    color: #ff5d5d;
    font-family: "Shadows Into Light", cursive;
    font-weight: bolder;
    font-style: normal;
    font-size: 3.6vh;
}
.help-title{
    display: flex;
    justify-content: space-between;
}
.logo-help{
    font-size: 2.3vh;
    background-color: #fff;
    border-radius: 10px;
    min-width: 2vh;
    min-height: 2vh;
}
.help-yapping{
    color: #ad2626;
    font-size: 1.8vh;
    margin-bottom: 2vh;
}
.group-konsultasi{
    display: flex;
    flex-direction: column;
    gap: 1vh;
}
.konsultasi:nth-child(1),
.konsultasi:nth-child(2),
.konsultasi:nth-child(3){
    background-color: rgb(255, 255, 255);
    border-radius: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1vh;
}
.mtext-konsultasi{
    font-size: 2vh;
    color: #ad2626;
    font-weight: bold;
}
.stext-konsultasi{
    color: #323946a9;
    font-size: 1.6vh;
}
.button-bantuan{
    margin-top: 2vh;
    border-radius: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #ff4d4d;
    font-weight: bold;
    padding: 1.8vh;
    background-color: #fff;
    transition: .4s;
}
.button-bantuan:hover{
    color: #fff;
    font-weight: bold;
    scale: 105%;
    background-color: #ff4d4d;
}   
/* ---------------------------------------------------------------------------- */
footer{
    color: var(--text-color);
    /* background-color: #205000; */
    align-items: center;
    text-align: center;
    /* display: grid;
    grid-template-columns: 1fr   1fr;
    grid-template-rows: 1fr; */
    display: flex;
    flex-wrap: wrap;
    gap: 2vh;
    padding: 4rem 10rem 0.5rem 10rem;
}

.item:nth-child(1),
.item:nth-child(2){
    height: 25vh;
}

.item:nth-child(1){
    width: 80vh;
}
.item:nth-child(2){
    width: 75vh;
}

.item:nth-child(2),
.item:nth-child(4){
    flex-grow: 1;
}

.item:nth-child(3),
.item:nth-child(4) {
    height: 2vh;
}

.menu-footer{
    display: flex;
    justify-content: space-between;
}

.menu{
    color: black;
    display: flex;
    flex-direction: column;
    text-align: left;
    line-height: 4vh;
}
.menu span{
    font-weight: bold;
    color: #fff;
    font-size: 3vh;
}
.menu a {
    width: fit-content;
    color: #586070;
    font-size: 2vh;
    font-weight: 400;
    text-decoration: none;
    transition: .3s;
}
.menu a:hover{
    scale: 104%;
    color: #fff;
}


.copyright{
    display: flex;
    justify-items: flex-start; 
    align-items: center;
    min-width: 20vh;
    max-height: 5vh;
    font-weight: 500;
    font-size: 2vh;
    margin-left: 0;
}

.legal-document{
    display: flex;
    max-height: 5vh;
    gap: 1vh;
    margin-right: 0;
}

.format-legal{
    color: var(--text-color);
    padding: 1vh;
    background-color: #8b8d8c;
    box-shadow: 0 1px 2px #ffffff;
    border-radius: 10px;
    font-weight: 800;
    font-size: 1.5vh;
    transition: .3s; 
}

.format-legal:hover{
    background-color: var(--main-btn-hover-bg);
    scale: 105%;
}

.description-footer{
    text-align: justify;
    font-size: 2vh;
    padding: 3vh 0 3vh 3vh;
    display: flex;
    gap: 2vh;
    align-items: center;
}
.footer-logo{
    background-color: #fff;
    width: 30vh;
    border-radius: 15px;
    padding: 2px;
}

.garis-batas{
    display: flex;
    width: 100%;
    border-top: 2px solid #bfbfbf;
    justify-content: space-between;
    padding-top: 2vh;
}

